summaryrefslogtreecommitdiffstats
path: root/libraries/vte
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 14:56:26 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:56:26 +0200
commit2f385cc3084b7dec224a3a99dec705633278d6bc (patch)
tree6fe1f77c59c731a1f63c4f33b7f36c9e72c87dfd /libraries/vte
parentbe63a2318d8b3df60180cfa93a719afb659a8646 (diff)
downloadslackbuilds-2f385cc3084b7dec224a3a99dec705633278d6bc.tar.gz
slackbuilds-2f385cc3084b7dec224a3a99dec705633278d6bc.tar.xz
libraries/vte: Initial import
Diffstat (limited to 'libraries/vte')
-rw-r--r--libraries/vte/README7
-rw-r--r--libraries/vte/slack-desc19
-rw-r--r--libraries/vte/vte.SlackBuild78
-rw-r--r--libraries/vte/vte.info8
4 files changed, 112 insertions, 0 deletions
diff --git a/libraries/vte/README b/libraries/vte/README
new file mode 100644
index 0000000000..880ffd210a
--- /dev/null
+++ b/libraries/vte/README
@@ -0,0 +1,7 @@
+VTE is a terminal emulator widget for use with GTK+. This package
+contains the VTE library and development files and a sample
+implementation (vte).
+
+The VTE library inserts terminal capability strings into a tree
+of tables, and then uses it to determine if data received from a
+pseudo-terminal is a control sequence or just random data.
diff --git a/libraries/vte/slack-desc b/libraries/vte/slack-desc
new file mode 100644
index 0000000000..0b2384fd74
--- /dev/null
+++ b/libraries/vte/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+vte: vte (terminal emulator widget)
+vte:
+vte: VTE is a terminal emulator widget for use with GTK+. This package
+vte: contains the VTE library and development files and a sample
+vte: implementation (vte).
+vte:
+vte:
+vte:
+vte:
+vte:
+vte:
diff --git a/libraries/vte/vte.SlackBuild b/libraries/vte/vte.SlackBuild
new file mode 100644
index 0000000000..eb0d075cf7
--- /dev/null
+++ b/libraries/vte/vte.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Copyright 2006-2007 Robby Workman <http://rlworkman.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=vte
+VERSION=0.16.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+TERM=xterm # Default terminal emulation type
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -vxjf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-static=no \
+ --with-xft2 \
+ --with-pangox \
+ --with-default-emulation=$TERM \
+ --disable-debugging
+
+make
+make install-strip DESTDIR=$PKG
+
+# VTE does not install man pages
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a AUTHORS COPYING ChangeLog HACKING INSTALL MAINTAINERS NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+( cd $PKG/usr/doc/$PRGNAM-$VERSION ; ln -s /usr/share/gtk-doc/html/vte html )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/vte/vte.info b/libraries/vte/vte.info
new file mode 100644
index 0000000000..940acd750b
--- /dev/null
+++ b/libraries/vte/vte.info
@@ -0,0 +1,8 @@
+PRGNAM="vte"
+VERSION="0.16.5"
+HOMEPAGE="ftp://ftp.gnome.org/pub/GNOME/sources/vte/"
+DOWNLOAD="ftp://ftp.gnome.org/pub/GNOME/sources/vte/0.16/vte-0.16.5.tar.bz2"
+MD5SUM="54252b22c7df76e4e1bf8f5a89fe394d"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="BP{k}"